/**
 *
 * @param {string} expression
 */
export function tokenize(expression: string): {
    tokens: {
        type: number;
        op: string;
        start: number;
        end: number;
    }[];
    errors: {
        message: string;
        pos: number;
        len: number;
    }[];
};
export namespace TOKEN {
    let Operator: number;
    let Number: number;
    let String: number;
    let Identifier: number;
    let Boolean: number;
}
export namespace OPERATOR {
    let Comma: string;
    let OpenParenthesis: string;
    let CloseParenthesis: string;
    let Plus: string;
    let Minus: string;
    let Star: string;
    let Slash: string;
    let Equal: string;
    let NotEqual: string;
    let LessThan: string;
    let GreaterThan: string;
    let LessThanEqual: string;
    let GreaterThanEqual: string;
    let Not: string;
    let And: string;
    let Or: string;
    let True: string;
    let False: string;
}
